apiVersion: v1
kind: Service
metadata:
  name: prometheus-tailscale
  namespace: observability
  annotations:
    tailscale.com/hostname: prometheus
    tailscale.com/tags: "tag:prod,tag:prometheus"
    tailscale.com/proxy-class: infra-stable
spec:
  type: LoadBalancer
  loadBalancerClass: tailscale
  selector:
    app.kubernetes.io/name: prometheus
    operator.prometheus.io/name: observability-kube-prometh-prometheus
  ports:
    - name: http
      port: 9090
      protocol: TCP
      targetPort: 9090
